## qtx11extras-opensource-src 5.15.2

=== tests/auto/cmake/test_qx11_module/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project(test_qx11_module)

find_package(Qt5Core REQUIRED)
find_package(Qt5Gui REQUIRED)

find_package(Qt5X11Extras REQUIRED)

include_directories(
    ${Qt5X11Extras_INCLUDE_DIRS}
)

add_definitions(
    ${Qt5X11Extras_DEFINITIONS}
)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Core_EXECUTABLE_COMPILE_FLAGS}")

add_executable(mainapp main.cpp)

target_link_libraries(mainapp
    ${Qt5X11Extras_LIBRARIES}
)

## qtx11extras-opensource-src 5.2.1

=== debian/changelog ===
qtx11extras-opensource-src (5.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt dependencies.
  * No symbols changes since last upload.
  * Remove transitional package libqt5x11extras-dev, no longer needed.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 14 Feb 2014 13:31:22 -0300

qtx11extras-opensource-src (5.2.0-2) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Rename libqt5x11extras-dev to libqt5x11exras5-dev for consistency with
    other modules.
  * Drop Pre-Depends on dpkg (>= 1.15.6~), that version is available in
    Squeeze already.
  * Bump Standards-Version to 3.9.5, no changes needed.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Fix orthography in 5.1.1-1 changelog.
  * Move mkspec files to their new location.
    - B-D on qtbase5-private-dev 5.2.0+dfsg-7 which changed the location.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 31 Jan 2014 16:03:42 -0300

qtx11extras-opensource-src (5.2.0-1) experimental; urgency=low

  * New upstream release.
  * Adjust build dependencies.
  * Remove private stuff we are not shipping.
  * Update symbols file.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 13 Dec 2013 13:39:36 -0300

qtx11extras-opensource-src (5.1.1-1) unstable; urgency=low

  * New upstream release.
    - Tighten Qt 5 build dependencies.
  * Fix typo in Vcs-Git header.
  * Improve documentation description.
  * Improve debian/copyright. Thanks Scott Kitterman for pointing the
    missing stuff!

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 30 Aug 2013 18:03:00 -0300

qtx11extras-opensource-src (5.1.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 22 Aug 2013 19:10:27 -0300

qtx11extras-opensource-src (5.1.0-1) experimental; urgency=low

  * Initial release. (Closes: #697509)

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 02 Aug 2013 14:55:53 -0300

=== debian/control ===
Source: qtx11extras-opensource-src
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Sune Vuorela <debian@pusling.com>,
           Pino Toscano <pino@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Felix Geyer <fgeyer@debian.org>,
           Timo Jyrinki <timo@debian.org>
Build-Depends: debhelper (>= 9),
               pkg-kde-tools,
               qtbase5-dev (>= 5.2.1+dfsg~),
               qtbase5-private-dev (>= 5.2.1+dfsg~)
Build-Depends-Indep: libqt5sql5-sqlite (>= 5.2.1+dfsg~),
                     qttools5-dev-tools (>= 5.2.1~)
Standards-Version: 3.9.5
Homepage: http://qt-project.org/
Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtx11extras.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtx11extras.git

Package: libqt5x11extras5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 X11 extras
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package includes the library to access X11 stuff from within Qt 5.

Package: libqt5x11extras5-dev
Section: libdevel
Architecture: any
Depends: libqt5x11extras5 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends}
Breaks: libqt5x11extras-dev (<< 5.2.0-2~)
Replaces: libqt5x11extras-dev (<< 5.2.0-2~)
Description: Qt 5 X11 extras development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package includes the development headers for the X11 extras library.

Package: qtx11extras5-dbg
Priority: extra
Architecture: any
Multi-Arch: same
Section: debug
Depends: libqt5x11extras5 (= ${binary:Version}),
         ${misc:Depends}
Description: Qt 5 X11 extras libraries debugging symbols
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the debugging symbols for the Qt 5 X11 extras library.

Package: qtx11extras5-doc
Priority: extra
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt 5 X11 extras documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 5 X11 extras libraries
 and binaries.

Package: qtx11extras5-doc-html
Priority: extra
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt 5 X11 extras HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 5 X11 extras
 libraries and binaries.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export QT_SELECT := qt5

%:
	dh $@ --with pkgkde_symbolshelper --parallel --dbg-package=qtx11extras5-dbg

override_dh_auto_configure:
	qmake 

override_dh_auto_build-arch:
	# This override may seem futile, but it helps us make sure that the tools
	# needed for building the docs are built before calling them.
	# If there's a better way, do not heasitate to tell us.
	dh_auto_build

override_dh_auto_build-indep:
	dh_auto_build -Smakefile -- docs

override_dh_auto_install-arch:
	dh_auto_install
	
	# Remove libtool-like files
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

	# Remove private stuff which we are not shipping.
	rm -fv debian/tmp/usr/lib/*/qt5/mkspecs/modules/qt_lib_x11extras_private.pri
	
	# Fix wrong path in pkgconfig files
	find $(CURDIR)/debian/tmp/usr/lib/*/pkgconfig -type f -name '*.pc' \
	-exec sed -i -e 's/$(DEB_HOST_MULTIARCH)\/$(DEB_HOST_MULTIARCH)/$(DEB_HOST_MULTIARCH)/g' {} \;

override_dh_auto_install-indep:
	make INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs

override_dh_install:
	dh_install --fail-missing

override_dh_builddeb:
	dh_builddeb -- -Zxz

=== debian/watch ===
version=3
http://download.qt-project.org/official_releases/qt/([\d\.]*)/([\d\.]*)/submodules/qtx11extras-opensource-src-([^-]*)\.tar.xz

## qtx11extras-opensource-src 5.3.0

=== debian/changelog ===
qtx11extras-opensource-src (5.3.0-3) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 06 Jun 2014 16:37:30 -0300

qtx11extras-opensource-src (5.3.0-2) experimental; urgency=medium

  * Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 25 May 2014 12:19:11 -0300

qtx11extras-opensource-src (5.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Fix headers location: they are now in a Multi-Arch qualified path. Make
    the development package Multi-Arch: same.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 24 May 2014 21:16:08 -0300

qtx11extras-opensource-src (5.2.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 24 Mar 2014 22:41:01 -0300

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
            Timo Jyrinki <timo@debian.org>
 Build-Depends: debhelper (>= 9),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.2.1+dfsg~),
-               qtbase5-private-dev (>= 5.2.1+dfsg~)
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.2.1+dfsg~),
-                     qttools5-dev-tools (>= 5.2.1~)
+               qtbase5-dev (>= 5.3.0+dfsg~),
+               qtbase5-private-dev (>= 5.3.0+dfsg~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.3.0+dfsg~),
+                     qttools5-dev-tools (>= 5.3.0~)
 Standards-Version: 3.9.5
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtx11extras.git
@@ -34,9 +34,8 @@
 Package: libqt5x11extras5-dev
 Section: libdevel
 Architecture: any
-Depends: libqt5x11extras5 (= ${binary:Version}),
-         qtbase5-dev,
-         ${misc:Depends}
+Multi-Arch: same
+Depends: libqt5x11extras5 (= ${binary:Version}), qtbase5-dev, ${misc:Depends}
 Breaks: libqt5x11extras-dev (<< 5.2.0-2~)
 Replaces: libqt5x11extras-dev (<< 5.2.0-2~)
 Description: Qt 5 X11 extras development files
@@ -50,8 +49,7 @@
 Architecture: any
 Multi-Arch: same
 Section: debug
-Depends: libqt5x11extras5 (= ${binary:Version}),
-         ${misc:Depends}
+Depends: libqt5x11extras5 (= ${binary:Version}), ${misc:Depends}
 Description: Qt 5 X11 extras libraries debugging symbols
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

## qtx11extras-opensource-src 5.3.2

=== debian/changelog ===
qtx11extras-opensource-src (5.3.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 22 Sep 2014 20:13:33 -0300

qtx11extras-opensource-src (5.3.2-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Remove dh_auto_build-arch override, not needed.
  * Update Vcs-Browser field to point to cgit interface.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
  * Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 17 Sep 2014 13:29:26 -0300

qtx11extras-opensource-src (5.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Qt build dependencies.
  * Do not override dh_builddeb, xz is now the default compression method.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 01 Jul 2014 11:03:52 -0300

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,14 @@
            Timo Jyrinki <timo@debian.org>
 Build-Depends: debhelper (>= 9),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.3.0+dfsg~),
-               qtbase5-private-dev (>= 5.3.0+dfsg~)
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.3.0+dfsg~),
-                     qttools5-dev-tools (>= 5.3.0~)
+               qtbase5-dev (>= 5.3.2+dfsg~),
+               qtbase5-private-dev (>= 5.3.2+dfsg~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.3.2+dfsg~),
+                     qttools5-dev-tools (>= 5.3.2~)
 Standards-Version: 3.9.5
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtx11extras.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtx11extras.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qtx11extras.git
 
 Package: libqt5x11extras5
 Architecture: any

## qtx11extras-opensource-src 5.4.1

=== debian/changelog ===
qtx11extras-opensource-src (5.4.1-1) experimental; urgency=medium

  * New upstream release.
  * Update watch file to qt.io.
  * Bump Qt build-dependencies to 5.4.1.
  * Update debian/copyright.

 -- Timo Jyrinki <timo@debian.org>  Wed, 04 Mar 2015 12:57:28 +0000

qtx11extras-opensource-src (5.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.4.0.
  * Update debian/copyright.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Add myself to Uploaders.
  * Update debian/libqt5x11extras5.symbols.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 Dec 2014 21:32:29 +0300

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,15 @@
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Felix Geyer <fgeyer@debian.org>,
-           Timo Jyrinki <timo@debian.org>
+           Timo Jyrinki <timo@debian.org>,
+           Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper (>= 9),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.3.2+dfsg~),
-               qtbase5-private-dev (>= 5.3.2+dfsg~)
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.3.2+dfsg~),
-                     qttools5-dev-tools (>= 5.3.2~)
-Standards-Version: 3.9.5
+               qtbase5-dev (>= 5.4.1+dfsg~),
+               qtbase5-private-dev (>= 5.4.1+dfsg~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.4.1+dfsg~),
+                     qttools5-dev-tools (>= 5.4.1~)
+Standards-Version: 3.9.6
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtx11extras.git
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qtx11extras.git

## qtx11extras-opensource-src 5.4.2

=== debian/changelog ===
qtx11extras-opensource-src (5.4.2-2build1) wily; urgency=medium

  * Rebuild for GCC5 transition.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 14 Jul 2015 09:40:31 +0300

qtx11extras-opensource-src (5.4.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 24 Jun 2015 12:06:03 -0300

qtx11extras-opensource-src (5.4.2-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Clear up the list in Uploaders removing people who hasn't committed to the
    repo in more than a year. They can re add themselves whenever they want
    (and we really hope to see you back really soon!).
  * Expose HTML documentation (Closes: #751188).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 03 Jun 2015 15:13:40 -0300

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Fathi Boudra <fabo@debian.org>,
-           Modestas Vainius <modax@debian.org>,
-           Sune Vuorela <debian@pusling.com>,
+Uploaders: Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Felix Geyer <fgeyer@debian.org>,
@@ -12,10 +10,10 @@
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper (>= 9),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.4.1+dfsg~),
-               qtbase5-private-dev (>= 5.4.1+dfsg~)
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.4.1+dfsg~),
-                     qttools5-dev-tools (>= 5.4.1~)
+               qtbase5-dev (>= 5.4.2+dfsg~),
+               qtbase5-private-dev (>= 5.4.2+dfsg~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.4.2+dfsg~),
+                     qttools5-dev-tools (>= 5.4.2~)
 Standards-Version: 3.9.6
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtx11extras.git

## qtx11extras-opensource-src 5.5.1

=== debian/changelog ===
qtx11extras-opensource-src (5.5.1-3build1) xenial; urgency=medium

  * Rebuild against Qt 5.5.1.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 30 Nov 2015 14:28:14 +0200

qtx11extras-opensource-src (5.5.1-3) unstable; urgency=medium

  * Break pre-5.5 versions of libqt5gui5, as QX11Info::display() will return
    a null pointer with those versions, making the library unusable (closes:
    #802811).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 28 Oct 2015 16:22:53 +0300

qtx11extras-opensource-src (5.5.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 21 Oct 2015 21:59:34 -0300

qtx11extras-opensource-src (5.5.1-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 19 Oct 2015 12:49:38 -0300

qtx11extras-opensource-src (5.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.5.0.
  * Build-depend on qtbase5-doc-html, for docs linking.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 30 Aug 2015 15:14:54 +0300

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper (>= 9),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.4.2+dfsg~),
-               qtbase5-private-dev (>= 5.4.2+dfsg~)
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.4.2+dfsg~),
-                     qttools5-dev-tools (>= 5.4.2~)
+               qtbase5-private-dev (>= 5.5.1+dfsg~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.5.1+dfsg~),
+                     qtbase5-doc-html (>= 5.5.1+dfsg~),
+                     qttools5-dev-tools (>= 5.5.1~)
 Standards-Version: 3.9.6
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtx11extras.git
@@ -24,6 +24,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libqt5gui5 (<< 5.5)
 Description: Qt 5 X11 extras
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

=== debian/rules ===
--- 
+++ 
@@ -15,12 +15,6 @@
 
 override_dh_auto_configure:
 	qmake 
-
-override_dh_auto_build-arch:
-	# This override may seem futile, but it helps us make sure that the tools
-	# needed for building the docs are built before calling them.
-	# If there's a better way, do not heasitate to tell us.
-	dh_auto_build
 
 override_dh_auto_build-indep:
 	dh_auto_build -Smakefile -- docs
@@ -43,6 +37,3 @@
 
 override_dh_install:
 	dh_install --fail-missing
-
-override_dh_builddeb:
-	dh_builddeb -- -Zxz

## qtx11extras-opensource-src 5.6.1

=== debian/changelog ===
qtx11extras-opensource-src (5.6.1-2build1~1) yakkety; urgency=medium

  * Rebuild against Qt 5.6.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 20 Jul 2016 15:23:39 +0300

qtx11extras-opensource-src (5.6.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 13 Jun 2016 11:23:02 -0300

qtx11extras-opensource-src (5.6.1-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * As qtbase5-dev as a build dependency in order to avoid this
    package migrating before qtbase.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Update symbols files with current build log.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 12 Jun 2016 18:05:47 -0300

qtx11extras-opensource-src (5.6.0-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * New upstream release candidate.
  * Bump Qt build-dependencies to 5.6.0~rc.
  * Drop obsolete Breaks/Replaces from libqt5x11extras5-dev.
  * Drop the obsolete hack to fix wrong path in pkgconfig files.
  * Use recommended https URIs for Vcs fields.

  [ Timo Jyrinki ]
  * New upstream release.
  * Bump build dependencies to final 5.6.0.
  * Bump Standards-Version to 3.9.7, no changes.
  * Migrate symbols to new node names.
  * Release to experimental.

 -- Timo Jyrinki <timo@debian.org>  Wed, 06 Apr 2016 12:39:09 +0300

=== debian/control ===
--- 
+++ 
@@ -10,14 +10,15 @@
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper (>= 9),
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.5.1+dfsg~)
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.5.1+dfsg~),
-                     qtbase5-doc-html (>= 5.5.1+dfsg~),
-                     qttools5-dev-tools (>= 5.5.1~)
-Standards-Version: 3.9.6
+               qtbase5-dev (>= 5.6.1+dfsg~),
+               qtbase5-private-dev (>= 5.6.1+dfsg~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.6.1+dfsg~),
+                     qtbase5-doc-html (>= 5.6.1+dfsg~),
+                     qttools5-dev-tools (>= 5.6.1~)
+Standards-Version: 3.9.8
 Homepage: http://qt-project.org/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtx11extras.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qtx11extras.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtx11extras.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qtx11extras.git
 
 Package: libqt5x11extras5
 Architecture: any
@@ -36,8 +37,6 @@
 Architecture: any
 Multi-Arch: same
 Depends: libqt5x11extras5 (= ${binary:Version}), qtbase5-dev, ${misc:Depends}
-Breaks: libqt5x11extras-dev (<< 5.2.0-2~)
-Replaces: libqt5x11extras-dev (<< 5.2.0-2~)
 Description: Qt 5 X11 extras development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

=== debian/rules ===
--- 
+++ 
@@ -27,10 +27,6 @@
 
 	# Remove private stuff which we are not shipping.
 	rm -fv debian/tmp/usr/lib/*/qt5/mkspecs/modules/qt_lib_x11extras_private.pri
-	
-	# Fix wrong path in pkgconfig files
-	find $(CURDIR)/debian/tmp/usr/lib/*/pkgconfig -type f -name '*.pc' \
-	-exec sed -i -e 's/$(DEB_HOST_MULTIARCH)\/$(DEB_HOST_MULTIARCH)/$(DEB_HOST_MULTIARCH)/g' {} \;
 
 override_dh_auto_install-indep:
 	make INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs

## qtx11extras-opensource-src 5.7.1~20161021

=== debian/changelog ===
qtx11extras-opensource-src (5.7.1~20161021-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 01 Nov 2016 15:45:33 +0300

qtx11extras-opensource-src (5.7.1~20161021-1) experimental; urgency=medium

  * New upstream snapshot.
    - Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Oct 2016 18:28:37 -0300

qtx11extras-opensource-src (5.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies.
  * Update debian/copyright.
  * Update debian/libqt5x11extras5.symbols.
  * Migrate to automatic dbgsym packages.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 09 Jul 2016 22:16:12 +0300

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
            Felix Geyer <fgeyer@debian.org>,
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 9.20160114~),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.6.1+dfsg~),
-               qtbase5-private-dev (>= 5.6.1+dfsg~)
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.6.1+dfsg~),
-                     qtbase5-doc-html (>= 5.6.1+dfsg~),
-                     qttools5-dev-tools (>= 5.6.1~)
+               qtbase5-dev (>= 5.7.1~20161021+dfsg~),
+               qtbase5-private-dev (>= 5.7.1~20161021+dfsg~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.7.1~20161021+dfsg~),
+                     qtbase5-doc-html (>= 5.7.1~20161021+dfsg~),
+                     qttools5-dev-tools (>= 5.7.1~20161021~)
 Standards-Version: 3.9.8
 Homepage: http://qt-project.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtx11extras.git
@@ -43,18 +43,6 @@
  .
  This package includes the development headers for the X11 extras library.
 
-Package: qtx11extras5-dbg
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Section: debug
-Depends: libqt5x11extras5 (= ${binary:Version}), ${misc:Depends}
-Description: Qt 5 X11 extras libraries debugging symbols
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the debugging symbols for the Qt 5 X11 extras library.
-
 Package: qtx11extras5-doc
 Priority: extra
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 export QT_SELECT := qt5
 
 %:
-	dh $@ --with pkgkde_symbolshelper --parallel --dbg-package=qtx11extras5-dbg
+	dh $@ --with pkgkde_symbolshelper --parallel
 
 override_dh_auto_configure:
 	qmake 
@@ -33,3 +33,6 @@
 
 override_dh_install:
 	dh_install --fail-missing
+
+override_dh_strip:
+	dh_strip --dbgsym-migration='qtx11extras5-dbg (<< 5.7.0-1~)'

## qtx11extras-opensource-src 5.9.1

=== debian/changelog ===
qtx11extras-opensource-src (5.9.1-2) unstable; urgency=medium

  * Release to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 16 Aug 2017 15:09:22 -0300

qtx11extras-opensource-src (5.9.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.9.1.
  * Bump Standards-Version to 4.0.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 06 Jul 2017 12:43:46 +0300

qtx11extras-opensource-src (5.9.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 16 Jun 2017 03:52:08 -0500

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,12 @@
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper (>= 9.20160114~),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.7.1~20161021+dfsg~),
-               qtbase5-private-dev (>= 5.7.1~20161021+dfsg~)
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.7.1~20161021+dfsg~),
-                     qtbase5-doc-html (>= 5.7.1~20161021+dfsg~),
-                     qttools5-dev-tools (>= 5.7.1~20161021~)
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.9.1+dfsg~),
+               qtbase5-private-dev (>= 5.9.1+dfsg~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.9.1+dfsg~),
+                     qtbase5-doc-html (>= 5.9.1+dfsg~),
+                     qttools5-dev-tools (>= 5.9.1~)
+Standards-Version: 4.0.0
 Homepage: http://qt-project.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtx11extras.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qtx11extras.git

## qtx11extras-opensource-src 5.9.5

=== debian/changelog ===
qtx11extras-opensource-src (5.9.5-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 14 Apr 2018 15:31:39 -0500

qtx11extras-opensource-src (5.9.4-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 25 Feb 2018 18:59:38 -0600

qtx11extras-opensource-src (5.9.3-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * Bump build dependencies to Qt 5.9.3.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 13 Dec 2017 22:23:28 -0600

qtx11extras-opensource-src (5.9.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.9.2.
  * Use debhelper compat level 10 and dh_missing.
  * Stop using deprecated Priority: extra.
  * Bump Standards-Version to 4.1.1.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 26 Oct 2017 16:32:12 +0300

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: qtx11extras-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Felix Geyer <fgeyer@debian.org>,
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>
-Build-Depends: debhelper (>= 9.20160114~),
+Build-Depends: debhelper (>= 10.3),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.9.1+dfsg~),
-               qtbase5-private-dev (>= 5.9.1+dfsg~)
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.9.1+dfsg~),
-                     qtbase5-doc-html (>= 5.9.1+dfsg~),
-                     qttools5-dev-tools (>= 5.9.1~)
-Standards-Version: 4.0.0
+               qtbase5-dev (>= 5.9.5+dfsg~),
+               qtbase5-private-dev (>= 5.9.5+dfsg~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.9.5+dfsg~),
+                     qtbase5-doc-html (>= 5.9.5+dfsg~),
+                     qttools5-dev-tools (>= 5.9.5~)
+Standards-Version: 4.1.1
 Homepage: http://qt-project.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtx11extras.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qtx11extras.git
@@ -44,7 +45,6 @@
  This package includes the development headers for the X11 extras library.
 
 Package: qtx11extras5-doc
-Priority: extra
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
@@ -56,7 +56,6 @@
  and binaries.
 
 Package: qtx11extras5-doc-html
-Priority: extra
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 export QT_SELECT := qt5
 
 %:
-	dh $@ --with pkgkde_symbolshelper --parallel
+	dh $@ --with pkgkde_symbolshelper
 
 override_dh_auto_configure:
 	qmake 
@@ -31,8 +31,8 @@
 override_dh_auto_install-indep:
 	make INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs
 
-override_dh_install:
-	dh_install --fail-missing
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='qtx11extras5-dbg (<< 5.7.0-1~)'

=== debian/watch ===
version=3
https://download.qt.io/official_releases/qt/([\d\.]*)/([\d\.]*)/submodules/qtx11extras-opensource-src-([^-]*)\.tar.xz

## qtx11extras-opensource-src 5.11.1

=== debian/changelog ===
qtx11extras-opensource-src (5.11.1-2) unstable; urgency=medium

  * Upload to Sid.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 25 Jul 2018 04:49:33 -0500

qtx11extras-opensource-src (5.11.1-1) experimental; urgency=medium

  * Add my name to Uploaders.
  * New upstream release.
  * Bump Standards-version to 4.1.4, no changes needed.
  * Remove ~ from the debhelper dependency.
  * Remove the dbgsym migration section of debian/rules; it isn't needed
    anymore.
  * Bump build dependencies to 5.11.1.
  * Update symbols from amd64 build logs.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 30 Jun 2018 16:05:59 -0500

qtx11extras-opensource-src (5.10.1-2) unstable; urgency=medium

  * Release to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 07 Apr 2018 20:30:17 -0300

qtx11extras-opensource-src (5.10.1-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Add support for the nodoc build profile.
  * Update Vcs-[Git Browser] to salsa.debian.org.
  * Update Standards-Version to 4.1.3, no changes required.
  * Swtich to debhelper compat 11.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 09 Mar 2018 10:19:58 -0300

qtx11extras-opensource-src (5.10.0-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch for the new upstream tarball names.
  * Use dh_auto_configure provided by debhelper (closes: #880931).
  * Bump Qt build-dependencies to 5.10.0.
  * Update debian/copyright.
  * Update libqt5x11extras5.symbols with the new symbols.
  * Bump Standards-Version to 4.1.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 15 Dec 2017 00:16:31 +0300

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,24 @@
 Source: qtx11extras-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Felix Geyer <fgeyer@debian.org>,
            Timo Jyrinki <timo@debian.org>,
-           Dmitry Shachnev <mitya57@debian.org>
-Build-Depends: debhelper (>= 10.3),
+           Dmitry Shachnev <mitya57@debian.org>,
+           Simon Quigley <tsimonq2@ubuntu.com>
+Build-Depends: debhelper (>= 11),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.9.5+dfsg~),
-               qtbase5-private-dev (>= 5.9.5+dfsg~)
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.9.5+dfsg~),
-                     qtbase5-doc-html (>= 5.9.5+dfsg~),
-                     qttools5-dev-tools (>= 5.9.5~)
-Standards-Version: 4.1.1
+               qtbase5-dev (>= 5.11.0+dfsg~),
+               qtbase5-private-dev (>= 5.11.0+dfsg~)
+Build-Depends-Indep: qtbase5-doc-html (>= 5.11.0+dfsg~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.11.0~) <!nodoc>
+Standards-Version: 4.1.4
 Homepage: http://qt-project.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtx11extras.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qtx11extras.git
+Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtx11extras.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtx11extras
 
 Package: libqt5x11extras5
 Architecture: any
@@ -46,6 +45,7 @@
 
 Package: qtx11extras5-doc
 Architecture: all
+Build-Profiles: <!nodoc>
 Section: doc
 Depends: ${misc:Depends}
 Description: Qt 5 X11 extras documentation
@@ -57,6 +57,7 @@
 
 Package: qtx11extras5-doc-html
 Architecture: all
+Build-Profiles: <!nodoc>
 Section: doc
 Depends: ${misc:Depends}
 Description: Qt 5 X11 extras HTML documentation

## qtx11extras-opensource-src 5.11.3

=== debian/changelog ===
qtx11extras-opensource-src (5.11.3-2) unstable; urgency=medium

  [ Simon Quigley ]
  * Change my email to tsimonq2@debian.org now that I am a Debian Developer.
  * Bump Standards-version to 4.3.0, no changes needed.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Dec 2018 18:10:58 -0300

qtx11extras-opensource-src (5.11.3-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 12 Dec 2018 19:36:29 -0300

qtx11extras-opensource-src (5.11.2-2) unstable; urgency=medium

  * Update debian/copyright.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 16 Oct 2018 13:57:54 +0300

qtx11extras-opensource-src (5.11.2-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 09 Oct 2018 13:57:03 -0300

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
            Felix Geyer <fgeyer@debian.org>,
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
-           Simon Quigley <tsimonq2@ubuntu.com>
+           Simon Quigley <tsimonq2@debian.org>
 Build-Depends: debhelper (>= 11),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.11.0+dfsg~),
-               qtbase5-private-dev (>= 5.11.0+dfsg~)
-Build-Depends-Indep: qtbase5-doc-html (>= 5.11.0+dfsg~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.11.0~) <!nodoc>
-Standards-Version: 4.1.4
+               qtbase5-dev (>= 5.11.3+dfsg~),
+               qtbase5-private-dev (>= 5.11.3+dfsg~)
+Build-Depends-Indep: qtbase5-doc-html (>= 5.11.3+dfsg~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.11.3~) <!nodoc>
+Standards-Version: 4.3.0
 Homepage: http://qt-project.org/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtx11extras.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtx11extras

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export QT_SELECT := qt5

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_build-indep:
	dh_auto_build -Smakefile -- docs

override_dh_auto_install-arch:
	dh_auto_install

	# Remove libtool-like files
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

	# Remove private stuff which we are not shipping.
	rm -fv debian/tmp/usr/lib/*/qt5/mkspecs/modules/qt_lib_x11extras_private.pri

override_dh_auto_install-indep:
	make INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs

override_dh_missing:
	dh_missing --fail-missing

## qtx11extras-opensource-src 5.12.2

=== debian/changelog ===
qtx11extras-opensource-src (5.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.12.2.
  * Update Homepage URL.
  * Add Qt_5.12 version tag to debian/libqt5x11extras5.symbols.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 23 Mar 2019 19:01:25 +0300

=== debian/control ===
--- 
+++ 
@@ -11,12 +11,12 @@
            Simon Quigley <tsimonq2@debian.org>
 Build-Depends: debhelper (>= 11),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.11.3+dfsg~),
-               qtbase5-private-dev (>= 5.11.3+dfsg~)
-Build-Depends-Indep: qtbase5-doc-html (>= 5.11.3+dfsg~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.11.3~) <!nodoc>
+               qtbase5-dev (>= 5.12.2+dfsg~),
+               qtbase5-private-dev (>= 5.12.2+dfsg~)
+Build-Depends-Indep: qtbase5-doc-html (>= 5.12.2+dfsg~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.12.2~) <!nodoc>
 Standards-Version: 4.3.0
-Homepage: http://qt-project.org/
+Homepage: https://doc.qt.io/qt-5/qtx11extras-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtx11extras.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtx11extras

## qtx11extras-opensource-src 5.12.4

=== debian/changelog ===
qtx11extras-opensource-src (5.12.4-1) experimental; urgency=medium

  * New upstream release.
  * Add Build-Depends-Package field to debian/libqt5x11extras5.symbols.
  * Bump Qt build-dependencies to 5.12.4.
  * Build-Depend-Indep on individual qdoc-qt5, qhelpgenerator-qt5 and
    qtattributionsscanner-qt5 packages, instead of qttools5-doc-tools.
  * Make debian/libqt5x11extras5-dev.install more verbose.
  * Simplify debian/rules by using a debian/not-installed file.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 24 Jun 2019 21:47:50 +0300

qtx11extras-opensource-src (5.12.3-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Update packaging to use doc-base as per policy 9.10.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.12.3.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 15 May 2019 16:39:35 +0300

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,12 @@
            Simon Quigley <tsimonq2@debian.org>
 Build-Depends: debhelper (>= 11),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.12.2+dfsg~),
-               qtbase5-private-dev (>= 5.12.2+dfsg~)
-Build-Depends-Indep: qtbase5-doc-html (>= 5.12.2+dfsg~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.12.2~) <!nodoc>
+               qtbase5-dev (>= 5.12.4+dfsg~),
+               qtbase5-private-dev (>= 5.12.4+dfsg~)
+Build-Depends-Indep: qdoc-qt5 (>= 5.12.4~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.12.4~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.12.4~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.12.4+dfsg~) <!nodoc>
 Standards-Version: 4.3.0
 Homepage: https://doc.qt.io/qt-5/qtx11extras-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtx11extras.git

## qtx11extras-opensource-src 5.12.5

=== debian/changelog ===
qtx11extras-opensource-src (5.12.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.12.5.
  * Bump Standards-Version to 4.4.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 20 Oct 2019 23:13:43 +0300

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,13 @@
            Simon Quigley <tsimonq2@debian.org>
 Build-Depends: debhelper (>= 11),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.12.4+dfsg~),
-               qtbase5-private-dev (>= 5.12.4+dfsg~)
-Build-Depends-Indep: qdoc-qt5 (>= 5.12.4~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.12.4~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.12.4~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.12.4+dfsg~) <!nodoc>
-Standards-Version: 4.3.0
+               qtbase5-dev (>= 5.12.5+dfsg~),
+               qtbase5-private-dev (>= 5.12.5+dfsg~)
+Build-Depends-Indep: qdoc-qt5 (>= 5.12.5~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.12.5~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.12.5~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.12.5+dfsg~) <!nodoc>
+Standards-Version: 4.4.1
 Homepage: https://doc.qt.io/qt-5/qtx11extras-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtx11extras.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtx11extras

## qtx11extras-opensource-src 5.12.8

=== debian/changelog ===
qtx11extras-opensource-src (5.12.8-0ubuntu1) focal; urgency=medium

  * New upstream bugfix release.
  * Bump Qt build-dependencies to 5.12.8.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 09 Apr 2020 18:48:36 +0300

=== debian/control ===
--- 
+++ 
@@ -11,12 +11,12 @@
            Simon Quigley <tsimonq2@debian.org>
 Build-Depends: debhelper (>= 11),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.12.5+dfsg~),
-               qtbase5-private-dev (>= 5.12.5+dfsg~)
-Build-Depends-Indep: qdoc-qt5 (>= 5.12.5~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.12.5~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.12.5~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.12.5+dfsg~) <!nodoc>
+               qtbase5-dev (>= 5.12.8+dfsg~),
+               qtbase5-private-dev (>= 5.12.8+dfsg~)
+Build-Depends-Indep: qdoc-qt5 (>= 5.12.8~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.12.8~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.12.8~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.12.8+dfsg~) <!nodoc>
 Standards-Version: 4.4.1
 Homepage: https://doc.qt.io/qt-5/qtx11extras-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtx11extras.git

=== debian/watch ===
version=3
https://download.qt.io/official_releases/qt/([\d\.]*)/([\d\.]*)/submodules/qtx11extras-everywhere-src-([^-]*)\.tar\.xz

## qtx11extras-opensource-src 5.14.2

=== debian/changelog ===
qtx11extras-opensource-src (5.14.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 Jun 2020 11:26:50 +0300

qtx11extras-opensource-src (5.14.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.14.2.
  * Update to debhelper compat level 13.
    - Drop dh_missing override, --fail-missing is now the default.
  * Remove build path from libQt5X11Extras.prl for reproducibility.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 12 May 2020 19:28:52 +0300

qtx11extras-opensource-src (5.14.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.14.1.
  * Add Qt_5.13 and Qt_5.14 tags to debian/libqt5x11extras5.symbols.
  * Update to debhelper compat level 12, use the new syntax.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 16 Mar 2020 00:08:51 +0300

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,15 @@
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.12.8+dfsg~),
-               qtbase5-private-dev (>= 5.12.8+dfsg~)
-Build-Depends-Indep: qdoc-qt5 (>= 5.12.8~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.12.8~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.12.8~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.12.8+dfsg~) <!nodoc>
-Standards-Version: 4.4.1
+               qtbase5-dev (>= 5.14.2+dfsg~),
+               qtbase5-private-dev (>= 5.14.2+dfsg~)
+Build-Depends-Indep: qdoc-qt5 (>= 5.14.2~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.14.2~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.14.2~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.14.2+dfsg~) <!nodoc>
+Standards-Version: 4.5.0
 Homepage: https://doc.qt.io/qt-5/qtx11extras-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtx11extras.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtx11extras

## qtx11extras-opensource-src 5.15.1.2%2Bdde

=== debian/changelog ===
qtx11extras-opensource-src (5.15.1.2+dde-1+eagle) unstable; urgency=medium

  * update

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 23 Feb 2021 17:15:54 +0800

qtx11extras-opensource-src (5.15.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.1.
  * Use ${DEB_HOST_MULTIARCH} substitution in the install files.
  * Add Qt_5.15 version tag to debian/libqt5x11extras5.symbols.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 19 Sep 2020 16:15:19 +0300

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 12),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.14.2+dfsg~),
-               qtbase5-private-dev (>= 5.14.2+dfsg~)
-Build-Depends-Indep: qdoc-qt5 (>= 5.14.2~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.14.2~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.14.2~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.14.2+dfsg~) <!nodoc>
+               qtbase5-dev (>= 5.15.1~),
+               qtbase5-private-dev (>= 5.15.1~)
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.1~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.1~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.1~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.1~) <!nodoc>
 Standards-Version: 4.5.0
 Homepage: https://doc.qt.io/qt-5/qtx11extras-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtx11extras.git
